/**
  Google Reader Notifier
  By Mark D.B.D <markdbd@gmail.com>
  http://www.markdbd.com
**/

/**
* Muestra mensaje si esta en modo debug
*
* @param string Mensaje a mostrar
* @param bool Indica si mostrar o no el mensaje
* @return void
*/

function showMsg(msg, debug)
{
	if(debug)
	{
		var consoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
		consoleService.logStringMessage(msg);
	}
}

/**
* Función para acceder directamente a un elemento
*
* @param string Identificador
* @return mixed
*/

function $(id)
{
	return document.getElementById(id);
}

/**
* Función que devuelve el texto seleccionado
*
* @param int número de caracteres a recortar
* @return mixed
*/

function getSelectedText(limit)
{
	var chars = (limit) ? limit : 999999999;
	return (gContextMenu.searchSelected) ? gContextMenu.searchSelected(chars) : getBrowserSelection(chars);
}

/**
* Función para inicializar la ventana "Sobre el programa"
*
* @return void
*/

function initAbout()
{
	$('gr-version').value = gGrVersion;
	$('gr-google-reader-notifier-url').value = gGrGoogleReaderNotifierUrl;
}